/**
 * 依赖包的定义。
 *
 * 这种定义方式的优点是在顶级项目目录下引入，在子项目中也可以直接用了。
 *
 */
// jar包的版本号
ext.versions = [
        springBoot:'2.1.3.RELEASE',
        shiro: '1.4.0',
        springfox: '2.9.2',
]

// 各种可能会用到的jar包
ext.libraries = [
        // shiro
        "shiro":"org.apache.shiro:shiro-spring-boot-web-starter:${ext.versions.shiro}",
        "shiro-core": "org.apache.shiro:shiro-core:${ext.versions.shiro}",
        "shiro-spring": "org.apache.shiro:shiro-spring:${ext.versions.shiro}",
        "shiro-cache": "org.apache.shiro:shiro-cache:${ext.versions.shiro}",

        // swagger
        "springfox-bean-validators": "io.springfox:springfox-bean-validators:${ext.versions.springfox}",
        "springfox-swagger2": "io.springfox:springfox-swagger2:${ext.versions.springfox}",
        "springfox-swagger-ui": "io.springfox:springfox-swagger-ui:${ext.versions.springfox}",

        // mybatis
        "mybatis":"org.mybatis.spring.boot:mybatis-spring-boot-starter:1.3.4",
        "mybatis-mapper": "tk.mybatis:mapper-spring-boot-starter:2.1.5",
        "mybatis-generator": "org.mybatis.generator:mybatis-generator-core:1.3.7",
        "mybatis-mapping-generator": "tk.mybatis:mapper-generator:1.0.0",
        "mybatis-generator-plugin":"com.itfsw:mybatis-generator-plugin:1.3.2",
        "mybatis-mysql": "mysql:mysql-connector-java",
        // 通过文件配置page，不使用starter
//        "mybatis-page": "com.github.pagehelper:pagehelper-spring-boot-starter:1.2.10",
        "mybatis-page": "com.github.pagehelper:pagehelper:5.1.8",
        // redis
        "commons-pool2": "org.apache.commons:commons-pool2:2.6.2",
        // cache
        "ehcache": "org.ehcache:ehcache:3.7.1",
        "ehcache-api": "javax.cache:cache-api:1.1.0",
        // flyway
        "flyway": "org.flywaydb:flyway-core:5.2.4",
        "flyway-h2": "com.h2database:h2:1.4.197",
]